API支持的买家用户地区:韩国。不可用于台湾店铺。
此API用于客户打印CGF lite的订单标签。
目前此接口仅支持为处理中(Processing)或者已发货(shipped)状态下的CGF lite 的订单获取标签,其他状态标签不存在。
Path
POST
/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/label/printOrderLabel
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v1/vendors/C00012345/label/printOrderLabel
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
Vendor ID
Unique code Coupang issues to vendors
e.g. C00012345 |
||||
Body Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| orderIdList | O | Array |
订单列表,最大支持10个订单一次拉取
注意:orderIdList 和 shipmentBoxIdList 参数 二选一填写
|
||||
|
shipmentBoxIdList
|
O | Array |
shipmentBoxId 列表,最大支持10个号码一次拉取
注意:orderIdList 和 shipmentBoxIdList 参数 二选一填写。如果同时填写,shipmentBoxIdList 参数将被忽略。
|
||||
| templateName | O | String |
模版名称
目前支持2种尺寸大小模版SIXTY_FORTY_MM, SIXTY_THIRTY_MM
SIXTY_FORTY_MM的尺寸大小为60*40 mm
SIXTY_THIRTY_MM 的尺寸大小为 60*30 mm |
||||
| quantity | O | Number |
需要打印多少份(导出份数)
最大数量 10
|
||||
Request Example 1
{
"orderIdList":[10000120670440,20000120391907,6000121622041,22000121025601],
"templateName":"SIXTY_FORTY_MM",
"quantity":2
}
Request Example2
{
"shipmentBoxIdList":[3568888884,3568888885,3568888887],
"templateName":"SIXTY_FORTY_MM",
"quantity":2
}
Response Message
pdf file of label content, the format is base64
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Number |
服务器响应code
|
||||
| message | String |
服务器响应信息
|
||||
| data | String |
base64的标签内容(pdf版本)
|
||||
Response Example
{
"code": 200,
"message": "SUCCESS",
"data": "base64 content"
}
Error Spec
URL API Name
PRINT_ORDER_LABEL